Package commoble.bagofyurting.util

# Class ConfigHelper.ConfigValueListener<T>

java.lang.Object
commoble.bagofyurting.util.ConfigHelper.ConfigValueListener<T>

All Implemented Interfaces:
  `Supplier<T>`

Enclosing class:
  ConfigHelper

public static class ConfigHelper.ConfigValueListener<T> extends Object implements Supplier<T>

## Method Summary

Modifier and Type
Method
Description
`T`
`get()`
`static <T> ConfigHelper.ConfigValueListener<T>`
`of​(net.minecraftforge.common.ForgeConfigSpec.ConfigValue<T> configValue, List<ConfigHelper.ConfigValueListener<?>> valueList)`
`void`
`update()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### of

public static <T> ConfigHelper.ConfigValueListener<T> of​(net.minecraftforge.common.ForgeConfigSpec.ConfigValue<T> configValue, List<ConfigHelper.ConfigValueListener<?>> valueList)

### update

public void update()

### get

public T get()

Specified by:
  `get` in interface `Supplier<T>`